# Module api_json

- Description
- Function Index
- Function Details

JSON API for transactional, consistent access to replicated DHT items.

Copyright © 2011 Zuse Institute Berlin

Version: $Id$

Authors: Florian Schintke (`schintke@zib.de`).

## Description

JSON API for transactional, consistent access to replicated DHT items

## Function Index

handler/2 |
tuple_list_to_json/1 | Recursively converts 2-tuple lists to JSON objects.

## Function Details

### handler/2

    handler(AnyOp :: atom(), AnyParams :: list()) -> any()

### tuple_list_to_json/1

    tuple_list_to_json(List :: [{Key :: atom(), Value :: term()}]) ->
                          {struct, [{Key :: atom(), Value :: term()}]}

Recursively converts 2-tuple lists to JSON objects.

Generated by EDoc, Feb 29 2016, 16:12:13.